import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T44A extends Component
{

    name='44A'
    desp = "Place of Taking in Charge/Dispatch from .../Place of Receipt"
    
    pattern = ""
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        return (<Row>
            <Col span={24}> 
                <FormItem
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                        <Input maxLength={65} value={value.s1} placeholder="Narrative" style={{'imeMode':'disabled'}} onChange={e=>this.onChange(e.target.value)}/>
                </FormItem>
            </Col>
        </Row>)
    }
}